AbsoluteOrder.AbsoluteComparator (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.group.AbsoluteOrder.AbsoluteComparator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group
Class AbsoluteOrder.AbsoluteComparator

    java.lang.Object
      org.apache.catalina.tribes.group.AbsoluteOrder.AbsoluteComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  AbsoluteOrder

    public static class AbsoluteOrder.AbsoluteComparator

extends java.lang.Object
implements java.util.Comparator

Constructor Summary
`AbsoluteOrder.AbsoluteComparator()`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`
`protected int` | `compareBytes(byte[] d1, byte[] d2)`
`protected int` | `compareBytes(byte b1, byte b2)`
`int` | `compareIds(Member m1, Member m2)`
`protected int` | `compareInts(int b1, int b2)`
`int` | `compareIps(Member m1, Member m2)`
`int` | `compareMembers(Member m1, Member m2)`
`int` | `comparePorts(Member m1, Member m2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AbsoluteOrder.AbsoluteComparator

    public AbsoluteOrder.AbsoluteComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### compareMembers

    public int compareMembers(Member m1,
                              Member m2)

### compareIps

    public int compareIps(Member m1,
                          Member m2)

### comparePorts

    public int comparePorts(Member m1,
                            Member m2)

### compareIds

    public int compareIds(Member m1,
                          Member m2)

### compareBytes

    protected int compareBytes(byte[] d1,
                               byte[] d2)

### compareBytes

    protected int compareBytes(byte b1,
                               byte b2)

### compareInts

    protected int compareInts(int b1,
                              int b2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.